//*****************************************************************************************************
//  1. t@C
//		MenuFS02.cpp
//----------------------------------------------------------------------------------------------------
//  2. @\
//		dni}jʂ̑상j[
//----------------------------------------------------------------------------------------------------
//  3. l
//*****************************************************************************************************

#include "stdafx.h"
#include "Schematic.h"
#include "MenuFS02.h"


// CMenuFS02 _CAO

IMPLEMENT_DYNCREATE(CMenuFS02, CMenuCommon)

//*****************************************************************************************************
//  1. ֐
//		CMenuFS02::CMenuFS02
//----------------------------------------------------------------------------------------------------
//  2. @\
//		RXgN^
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		CWnd*	pParent		[I] eEBhE
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
CMenuFS02::CMenuFS02(CWnd* pParent /*=NULL*/)
	: CMenuCommon(CMenuFS02::IDD, pParent)
{

}

void CMenuFS02::DoDataExchange(CDataExchange* pDX)
{
	CMenuCommon::DoDataExchange(pDX);
	DDX_Control(pDX, IDC_BUTTON_ACTION_1, m_cButtonAction1);
	DDX_Control(pDX, IDC_BUTTON_ACTION_2, m_cButtonAction2);
	DDX_Control(pDX, IDC_BUTTON_ACTION_3, m_cButtonAction3);
	DDX_Control(pDX, IDC_BUTTON_ACTION_4, m_cButtonAction4);
}


BEGIN_MESSAGE_MAP(CMenuFS02, CMenuCommon)
	ON_BN_CLICKED(IDC_BUTTON_ACTION_1, &CMenuFS02::OnBnClickedButtonAction1)
	ON_BN_CLICKED(IDC_BUTTON_ACTION_2, &CMenuFS02::OnBnClickedButtonAction2)
	ON_BN_CLICKED(IDC_BUTTON_ACTION_3, &CMenuFS02::OnBnClickedButtonAction3)
	ON_BN_CLICKED(IDC_BUTTON_ACTION_4, &CMenuFS02::OnBnClickedButtonAction4)
END_MESSAGE_MAP()


// CMenuFS02 bZ[W nh

//*****************************************************************************************************
//  1. ֐
//		CMenuFS02::OnInitDialog
//----------------------------------------------------------------------------------------------------
//  2. @\
//		_CAO
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		BOOL	TRUE
//*****************************************************************************************************
BOOL CMenuFS02::OnInitDialog()
{
	CMenuCommon::OnInitDialog();

	// Xe[^Xݒ
	SetStatus(STATUS_PANEL_OFF, STATUS_POWER_OFF);

	return FALSE;
}

//*****************************************************************************************************
//  1. ֐
//		CMenuFS02::OnBnClickedButtonAction1
//----------------------------------------------------------------------------------------------------
//  2. @\
//		uneev{^NbN
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CMenuFS02::OnBnClickedButtonAction1()
{
	// Xe[^Xݒ
	SetStatus(STATUS_PANEL_OFF, m_ePowerStatus);

	// Flash֑wM
	SendAction(m_ePowerStatus ? ACTION_2 : ACTION_1);
}

//*****************************************************************************************************
//  1. ֐
//		CMenuFS02::OnBnClickedButtonAction2
//----------------------------------------------------------------------------------------------------
//  2. @\
//		unmv{^NbN
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CMenuFS02::OnBnClickedButtonAction2()
{
	// Xe[^Xݒ
	SetStatus(STATUS_PANEL_ON, STATUS_POWER_ON);

	// Flash֑wM
	SendAction(ACTION_3);
}

//*****************************************************************************************************
//  1. ֐
//		CMenuFS02::OnBnClickedButtonAction3
//----------------------------------------------------------------------------------------------------
//  2. @\
//		u؁v{^NbN
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CMenuFS02::OnBnClickedButtonAction3()
{
	// Xe[^Xݒ
	SetStatus(STATUS_PANEL_OFF, STATUS_POWER_OFF);

	// Flash֑wM
	SendAction(ACTION_1);
}

//*****************************************************************************************************
//  1. ֐
//		CMenuFS02::OnBnClickedButtonAction4
//----------------------------------------------------------------------------------------------------
//  2. @\
//		uv{^NbN
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CMenuFS02::OnBnClickedButtonAction4()
{
	// Xe[^Xݒ
	SetStatus(m_ePanelStatus, STATUS_POWER_ON);

	// Flash֑wM
	SendAction(m_ePanelStatus ? ACTION_3 : ACTION_2);
}

//*****************************************************************************************************
//  1. ֐
//		CMenuFS02::SetStatus
//----------------------------------------------------------------------------------------------------
//  2. @\
//		Xe[^Xݒ菈
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		EPanelStatus	ePanelStatus		[I] ˌpldXe[^X
//		EPowerStatus	ePowerStatus		[I] dXe[^X
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CMenuFS02::SetStatus(EPanelStatus ePanelStatus, EPowerStatus ePowerStatus)
{
	// Xe[^Xݒ
	m_ePanelStatus = ePanelStatus;
	m_ePowerStatus = ePowerStatus;

	// j[{^ݒ
	SetMenuButton();
}

//*****************************************************************************************************
//  1. ֐
//		CMenuFS02::SetMenuButton
//----------------------------------------------------------------------------------------------------
//  2. @\
//		j[{^ݒ菈
//----------------------------------------------------------------------------------------------------
//  3. p[^
//		
//----------------------------------------------------------------------------------------------------
//  4. ߂l
//		
//*****************************************************************************************************
void CMenuFS02::SetMenuButton()
{
	switch (m_ePanelStatus) {
	case STATUS_PANEL_OFF:
		m_cButtonAction1.SetEnableAndCheck(FALSE, TRUE);
		m_cButtonAction2.SetEnableAndCheck(m_ePowerStatus == STATUS_POWER_ON, FALSE);
		break;
	case STATUS_PANEL_ON:
		m_cButtonAction1.SetEnableAndCheck(m_ePowerStatus == STATUS_POWER_ON, FALSE);
		m_cButtonAction2.SetEnableAndCheck(FALSE, TRUE);
		break;
	}

	switch (m_ePowerStatus) {
	case STATUS_POWER_OFF:
		m_cButtonAction3.SetEnableAndCheck(FALSE, TRUE);
		m_cButtonAction4.SetEnableAndCheck(TRUE, FALSE);
		break;
	case STATUS_POWER_ON:
		m_cButtonAction3.SetEnableAndCheck(m_ePanelStatus == STATUS_PANEL_OFF, FALSE);
		m_cButtonAction4.SetEnableAndCheck(FALSE, TRUE);
		break;
	}
}
